#!/bin/bash

LANGS="$@"
[ -z "$LANGS" ] && LANGS=`echo ../*.po | sed 's:../::g' | sed 's:\.po::g'`

for i in $LANGS
do
mkdir -p ./tmp/$i/LC_MESSAGES/
msgfmt -o ./tmp/$i/LC_MESSAGES/CD_README.mo ../$i.po
LANGUAGE="$i" ./create_index.htm.pl "$i"
LANGUAGE="$i" ./create_README.txt.pl "$i"
LANGUAGE="$i" ./create_install.htm.pl "$i"
LANGUAGE="$i" ./create_INSTALL.txt.pl "$i"
code=`grep "^${i}:" ./conversions | cut -d: -f2-`
case "$code" in
	*=*) for k in `echo $code | cut -d'=' -f2` ; do
		j=`echo $k | cut -d'.' -f1`
		ext=`echo $k | cut -d':' -f1 | cut -d'.' -f2`
		code=`echo $k | cut -d: -f2`
		cat ./tmp/${j}-${i}.txt | \
		iconv -f utf-8 -t "${code}//TRANSLIT" > ./tmp/AA && \
		mv ./tmp/AA ./tmp/${j}-${i}.${ext}
		 
	done
	code=`echo $code | cut -d'=' -f1`
	;;
	utf-8) break ;;
	*) for j in README INSTALL ; do
       		cat ./tmp/${j}-${i}.txt | \
		iconv -f utf-8 -t "${code}//TRANSLIT" > ./tmp/AA && \
		mv ./tmp/AA ./tmp/${j}-${i}.txt
	done
	;;
esac

done
LANGUAGE="C" ./create_index.htm.pl "C"
LANGUAGE="C" ./create_README.txt.pl "C"
LANGUAGE="C" ./create_install.htm.pl "C"
LANGUAGE="C" ./create_INSTALL.txt.pl "C"

